AWS IoT Device SDK C++ v2: Aws::Crt::Http::HttpRequest Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Protected Member Functions | Friends | List of all members
Aws::Crt::Http::HttpRequest Class Reference

`#include <HttpRequestResponse.h>`

Inheritance diagram for Aws::Crt::Http::HttpRequest:

## Public Member Functions
| HttpRequest (Allocator *allocator=g_allocator)
Optional< ByteCursor > | GetMethod () const noexcept
bool | SetMethod (ByteCursor method) noexcept
Optional< ByteCursor > | GetPath () const noexcept
bool | SetPath (ByteCursor path) noexcept
Public Member Functions inherited from Aws::Crt::Http::HttpMessage
virtual | ~HttpMessage ()
| HttpMessage (const HttpMessage &)=delete
| HttpMessage (HttpMessage &&)=delete
HttpMessage & | operator= (const HttpMessage &)=delete
HttpMessage & | operator= (HttpMessage &&)=delete
std::shared_ptr< Aws::Crt::Io::InputStream > | GetBody () const noexcept
bool | SetBody (const std::shared_ptr< Aws::Crt::Io::IStream > &body) noexcept
bool | SetBody (const std::shared_ptr< Aws::Crt::Io::InputStream > &body) noexcept
size_t | GetHeaderCount () const noexcept
Optional< HttpHeader > | GetHeader (size_t index) const noexcept
bool | AddHeader (const HttpHeader &header) noexcept
bool | EraseHeader (size_t index) noexcept
| operator bool () const noexcept

## Protected Member Functions
| HttpRequest (Allocator *allocator, struct aws_http_message *message)
Protected Member Functions inherited from Aws::Crt::Http::HttpMessage
| HttpMessage (Allocator *allocator, struct aws_http_message *message) noexcept

## Friends
class | Mqtt::MqttConnection

## Additional Inherited Members
Protected Attributes inherited from Aws::Crt::Http::HttpMessage
Allocator * | m_allocator
struct aws_http_message * | m_message
std::shared_ptr< Aws::Crt::Io::InputStream > | m_bodyStream

## Detailed Description

Class representing a mutable http request.

## Constructor & Destructor Documentation

## ◆ HttpRequest() [1/2]

Aws::Crt::Http::HttpRequest::HttpRequest | ( | Allocator * | allocator = `g_allocator` | ) |

## ◆ HttpRequest() [2/2]

Aws::Crt::Http::HttpRequest::HttpRequest | ( | Allocator * | allocator,
|  | struct aws_http_message * | message
| ) |  |
| protected

## Member Function Documentation

## ◆ GetMethod()

Optional< ByteCursor > Aws::Crt::Http::HttpRequest::GetMethod | ( |  | ) | const
| noexcept

Returns
  the value of the Http method associated with this request

## ◆ GetPath()

Optional< ByteCursor > Aws::Crt::Http::HttpRequest::GetPath | ( |  | ) | const
| noexcept

Returns
  the value of the URI-path associated with this request

## ◆ SetMethod()

bool Aws::Crt::Http::HttpRequest::SetMethod | ( | ByteCursor | method | ) |
| noexcept

Sets the value of the Http method associated with this request

## ◆ SetPath()

bool Aws::Crt::Http::HttpRequest::SetPath | ( | ByteCursor | path | ) |
| noexcept

Sets the value of the URI-path associated with this request

## Friends And Related Function Documentation

## ◆ Mqtt::MqttConnection

friend class Mqtt::MqttConnection
| friend

The documentation for this class was generated from the following files:

- crt/aws-crt-cpp/include/aws/crt/http/HttpRequestResponse.h
- crt/aws-crt-cpp/source/http/HttpRequestResponse.cpp